package com.mortals.xhx.common.code;

import com.mortals.framework.ap.SysConstains;
import com.mortals.framework.common.IBaseEnum;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 纸盒类型
 */
public enum CartonType implements IBaseEnum {

    A1(1, "A1", SysConstains.STYLE_DEFAULT),
    A2(2, "A2", SysConstains.STYLE_DEFAULT),
    A3(3, "A3", SysConstains.STYLE_DEFAULT),
    A4(4, "A4", SysConstains.STYLE_DEFAULT),
    A5(5, "A5", SysConstains.STYLE_DEFAULT);

    private int value;
    private String desc;
    private String style;

    CartonType(int value, String desc, String style) {
        this.value = value;
        this.desc = desc;
        this.style = style;
    }

    @Override
    public int getValue() {
        return this.value;
    }

    public String getDesc() {
        return desc;
    }

    public String getStyle()
    {
        return style;
    }

    public static CartonType getByValue(int value) {
        for (CartonType e : CartonType.values()) {
            if (e.getValue() == value) {
                return e;
            }
        }
        return null;
    }

    public static Map<String,String> getEnumMap(int... eItem) {
        Map<String,String> resultMap= new LinkedHashMap<String,String>();
        for (CartonType item : CartonType.values()) {
            try{
                boolean hasE = false;
                for (int e : eItem){
                    if(item.getValue()==e){
                        hasE = true;
                        break;
                    }
                }
                if(!hasE){
                    resultMap.put(item.getValue()+"", item.getDesc());
                }
            }catch(Exception ex){
            }
        }
        return resultMap;
    }

}