package com.mortals.xhx.module.record.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.record.model.RetainLogEntity;
/**
 * 证照持有查询对象
 *
 * @author zxfei
 * @date 2024-08-01
 */
public class RetainLogQuery extends RetainLogEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 站点id排除列表 */
    private List <Long> siteIdNotList;

    /** 开始 证照档案ID */
    private Long recordIdStart;

    /** 结束 证照档案ID */
    private Long recordIdEnd;

    /** 增加 证照档案ID */
    private Long recordIdIncrement;

    /** 证照档案ID列表 */
    private List <Long> recordIdList;

    /** 证照档案ID排除列表 */
    private List <Long> recordIdNotList;

    /** 开始 证照目录ID */
    private Long catalogIdStart;

    /** 结束 证照目录ID */
    private Long catalogIdEnd;

    /** 增加 证照目录ID */
    private Long catalogIdIncrement;

    /** 证照目录ID列表 */
    private List <Long> catalogIdList;

    /** 证照目录ID排除列表 */
    private List <Long> catalogIdNotList;

    /** 证照目录编号 */
    private List<String> catalogCodeList;

    /** 证照目录编号排除列表 */
    private List <String> catalogCodeNotList;
    /** 目录名称 */
    private List<String> catalogNameList;

    /** 目录名称排除列表 */
    private List <String> catalogNameNotList;
    /** 证照名称 */
    private List<String> certificateNameList;

    /** 证照名称排除列表 */
    private List <String> certificateNameNotList;
    /** 证照编号 */
    private List<String> certificateCodeList;

    /** 证照编号排除列表 */
    private List <String> certificateCodeNotList;
    /** 市场主体名称 */
    private List<String> enterpriseNameList;

    /** 市场主体名称排除列表 */
    private List <String> enterpriseNameNotList;
    /** 法定代表人 */
    private List<String> legalPersonList;

    /** 法定代表人排除列表 */
    private List <String> legalPersonNotList;
    /** 统一社会信用代码 */
    private List<String> socialCodeList;

    /** 统一社会信用代码排除列表 */
    private List <String> socialCodeNotList;
    /** 二维码 */
    private List<String> qRCodeList;

    /** 二维码排除列表 */
    private List <String> qRCodeNotList;
    /** 持有者姓名 */
    private List<String> holderNameList;

    /** 持有者姓名排除列表 */
    private List <String> holderNameNotList;
    /** 持有者证件号码 */
    private List<String> holderIDCardNoList;

    /** 持有者证件号码排除列表 */
    private List <String> holderIDCardNoNotList;
    /** 手机号码 */
    private List<String> mobileList;

    /** 手机号码排除列表 */
    private List <String> mobileNotList;
    /** 开始 证照状态，1正常2注销 */
    private Integer certificateStatusStart;

    /** 结束 证照状态，1正常2注销 */
    private Integer certificateStatusEnd;

    /** 增加 证照状态，1正常2注销 */
    private Integer certificateStatusIncrement;

    /** 证照状态，1正常2注销列表 */
    private List <Integer> certificateStatusList;

    /** 证照状态，1正常2注销排除列表 */
    private List <Integer> certificateStatusNotList;

    /** 证件附件地址 */
    private List<String> certificateUrlList;

    /** 证件附件地址排除列表 */
    private List <String> certificateUrlNotList;
    /** 证件预览地址 */
    private List<String> previewUrlList;

    /** 证件预览地址排除列表 */
    private List <String> previewUrlNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 行业名称 */
    private List<String> industryNameList;

    /** 行业名称排除列表 */
    private List <String> industryNameNotList;
    /** 经营场所 */
    private List<String> businessPlaceList;

    /** 经营场所排除列表 */
    private List <String> businessPlaceNotList;
    /** 许可项目 */
    private List<String> licenseProjectList;

    /** 许可项目排除列表 */
    private List <String> licenseProjectNotList;
    /** 制证机关 */
    private List<String> authorityList;

    /** 制证机关排除列表 */
    private List <String> authorityNotList;
    /** 开始 颁发时间 */
    private String issueTimeStart;

    /** 结束 颁发时间 */
    private String issueTimeEnd;

    /** 附件名称 */
    private List<String> annexNameList;

    /** 附件名称排除列表 */
    private List <String> annexNameNotList;
    /** 附件地址 */
    private List<String> annexUrlList;

    /** 附件地址排除列表 */
    private List <String> annexUrlNotList;
    /** 开始 有效期起始 */
    private String validityStartStart;

    /** 结束 有效期起始 */
    private String validityStartEnd;

    /** 开始 有效期截止 */
    private String validityEndStart;

    /** 结束 有效期截止 */
    private String validityEndEnd;

    /** 开始 持有者类型，1：自然人，2：法人，3：自然人法人 */
    private Integer holderTypeStart;

    /** 结束 持有者类型，1：自然人，2：法人，3：自然人法人 */
    private Integer holderTypeEnd;

    /** 增加 持有者类型，1：自然人，2：法人，3：自然人法人 */
    private Integer holderTypeIncrement;

    /** 持有者类型，1：自然人，2：法人，3：自然人法人列表 */
    private List <Integer> holderTypeList;

    /** 持有者类型，1：自然人，2：法人，3：自然人法人排除列表 */
    private List <Integer> holderTypeNotList;

    /** 开始 持有者证件类型，1：身份证，2：组织机构代码等 */
    private Integer holderIdTypeStart;

    /** 结束 持有者证件类型，1：身份证，2：组织机构代码等 */
    private Integer holderIdTypeEnd;

    /** 增加 持有者证件类型，1：身份证，2：组织机构代码等 */
    private Integer holderIdTypeIncrement;

    /** 持有者证件类型，1：身份证，2：组织机构代码等列表 */
    private List <Integer> holderIdTypeList;

    /** 持有者证件类型，1：身份证，2：组织机构代码等排除列表 */
    private List <Integer> holderIdTypeNotList;

    /** 专网ID */
    private List<String> privateIDList;

    /** 专网ID排除列表 */
    private List <String> privateIDNotList;
    /** 开始 申请ID */
    private Long applyIdStart;

    /** 结束 申请ID */
    private Long applyIdEnd;

    /** 增加 申请ID */
    private Long applyIdIncrement;

    /** 申请ID列表 */
    private List <Long> applyIdList;

    /** 申请ID排除列表 */
    private List <Long> applyIdNotList;

    /** 开始 打印次数 */
    private Integer totalStart;

    /** 结束 打印次数 */
    private Integer totalEnd;

    /** 增加 打印次数 */
    private Integer totalIncrement;

    /** 打印次数列表 */
    private List <Integer> totalList;

    /** 打印次数排除列表 */
    private List <Integer> totalNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<RetainLogQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<RetainLogQuery> andConditionList;

    public RetainLogQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 站点id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 开始 证照档案ID
     * @return recordIdStart
     */
    public Long getRecordIdStart(){
        return this.recordIdStart;
    }

    /**
     * 设置 开始 证照档案ID
     * @param recordIdStart
     */
    public void setRecordIdStart(Long recordIdStart){
        this.recordIdStart = recordIdStart;
    }

    /**
     * 获取 结束 证照档案ID
     * @return $recordIdEnd
     */
    public Long getRecordIdEnd(){
        return this.recordIdEnd;
    }

    /**
     * 设置 结束 证照档案ID
     * @param recordIdEnd
     */
    public void setRecordIdEnd(Long recordIdEnd){
        this.recordIdEnd = recordIdEnd;
    }

    /**
     * 获取 增加 证照档案ID
     * @return recordIdIncrement
     */
    public Long getRecordIdIncrement(){
        return this.recordIdIncrement;
    }

    /**
     * 设置 增加 证照档案ID
     * @param recordIdIncrement
     */
    public void setRecordIdIncrement(Long recordIdIncrement){
        this.recordIdIncrement = recordIdIncrement;
    }

    /**
     * 获取 证照档案ID
     * @return recordIdList
     */
    public List<Long> getRecordIdList(){
        return this.recordIdList;
    }

    /**
     * 设置 证照档案ID
     * @param recordIdList
     */
    public void setRecordIdList(List<Long> recordIdList){
        this.recordIdList = recordIdList;
    }

    /**
     * 获取 证照档案ID
     * @return recordIdNotList
     */
    public List<Long> getRecordIdNotList(){
        return this.recordIdNotList;
    }

    /**
     * 设置 证照档案ID
     * @param recordIdNotList
     */
    public void setRecordIdNotList(List<Long> recordIdNotList){
        this.recordIdNotList = recordIdNotList;
    }


    /**
     * 获取 开始 证照目录ID
     * @return catalogIdStart
     */
    public Long getCatalogIdStart(){
        return this.catalogIdStart;
    }

    /**
     * 设置 开始 证照目录ID
     * @param catalogIdStart
     */
    public void setCatalogIdStart(Long catalogIdStart){
        this.catalogIdStart = catalogIdStart;
    }

    /**
     * 获取 结束 证照目录ID
     * @return $catalogIdEnd
     */
    public Long getCatalogIdEnd(){
        return this.catalogIdEnd;
    }

    /**
     * 设置 结束 证照目录ID
     * @param catalogIdEnd
     */
    public void setCatalogIdEnd(Long catalogIdEnd){
        this.catalogIdEnd = catalogIdEnd;
    }

    /**
     * 获取 增加 证照目录ID
     * @return catalogIdIncrement
     */
    public Long getCatalogIdIncrement(){
        return this.catalogIdIncrement;
    }

    /**
     * 设置 增加 证照目录ID
     * @param catalogIdIncrement
     */
    public void setCatalogIdIncrement(Long catalogIdIncrement){
        this.catalogIdIncrement = catalogIdIncrement;
    }

    /**
     * 获取 证照目录ID
     * @return catalogIdList
     */
    public List<Long> getCatalogIdList(){
        return this.catalogIdList;
    }

    /**
     * 设置 证照目录ID
     * @param catalogIdList
     */
    public void setCatalogIdList(List<Long> catalogIdList){
        this.catalogIdList = catalogIdList;
    }

    /**
     * 获取 证照目录ID
     * @return catalogIdNotList
     */
    public List<Long> getCatalogIdNotList(){
        return this.catalogIdNotList;
    }

    /**
     * 设置 证照目录ID
     * @param catalogIdNotList
     */
    public void setCatalogIdNotList(List<Long> catalogIdNotList){
        this.catalogIdNotList = catalogIdNotList;
    }


    /**
     * 获取 证照目录编号
     * @return catalogCodeList
     */
    public List<String> getCatalogCodeList(){
        return this.catalogCodeList;
    }

    /**
     * 设置 证照目录编号
     * @param catalogCodeList
     */
    public void setCatalogCodeList(List<String> catalogCodeList){
        this.catalogCodeList = catalogCodeList;
    }

    /**
     * 获取 证照目录编号
     * @return catalogCodeNotList
     */
    public List<String> getCatalogCodeNotList(){
        return this.catalogCodeNotList;
    }

    /**
     * 设置 证照目录编号
     * @param catalogCodeNotList
     */
    public void setCatalogCodeNotList(List<String> catalogCodeNotList){
        this.catalogCodeNotList = catalogCodeNotList;
    }

    /**
     * 获取 目录名称
     * @return catalogNameList
     */
    public List<String> getCatalogNameList(){
        return this.catalogNameList;
    }

    /**
     * 设置 目录名称
     * @param catalogNameList
     */
    public void setCatalogNameList(List<String> catalogNameList){
        this.catalogNameList = catalogNameList;
    }

    /**
     * 获取 目录名称
     * @return catalogNameNotList
     */
    public List<String> getCatalogNameNotList(){
        return this.catalogNameNotList;
    }

    /**
     * 设置 目录名称
     * @param catalogNameNotList
     */
    public void setCatalogNameNotList(List<String> catalogNameNotList){
        this.catalogNameNotList = catalogNameNotList;
    }

    /**
     * 获取 证照名称
     * @return certificateNameList
     */
    public List<String> getCertificateNameList(){
        return this.certificateNameList;
    }

    /**
     * 设置 证照名称
     * @param certificateNameList
     */
    public void setCertificateNameList(List<String> certificateNameList){
        this.certificateNameList = certificateNameList;
    }

    /**
     * 获取 证照名称
     * @return certificateNameNotList
     */
    public List<String> getCertificateNameNotList(){
        return this.certificateNameNotList;
    }

    /**
     * 设置 证照名称
     * @param certificateNameNotList
     */
    public void setCertificateNameNotList(List<String> certificateNameNotList){
        this.certificateNameNotList = certificateNameNotList;
    }

    /**
     * 获取 证照编号
     * @return certificateCodeList
     */
    public List<String> getCertificateCodeList(){
        return this.certificateCodeList;
    }

    /**
     * 设置 证照编号
     * @param certificateCodeList
     */
    public void setCertificateCodeList(List<String> certificateCodeList){
        this.certificateCodeList = certificateCodeList;
    }

    /**
     * 获取 证照编号
     * @return certificateCodeNotList
     */
    public List<String> getCertificateCodeNotList(){
        return this.certificateCodeNotList;
    }

    /**
     * 设置 证照编号
     * @param certificateCodeNotList
     */
    public void setCertificateCodeNotList(List<String> certificateCodeNotList){
        this.certificateCodeNotList = certificateCodeNotList;
    }

    /**
     * 获取 市场主体名称
     * @return enterpriseNameList
     */
    public List<String> getEnterpriseNameList(){
        return this.enterpriseNameList;
    }

    /**
     * 设置 市场主体名称
     * @param enterpriseNameList
     */
    public void setEnterpriseNameList(List<String> enterpriseNameList){
        this.enterpriseNameList = enterpriseNameList;
    }

    /**
     * 获取 市场主体名称
     * @return enterpriseNameNotList
     */
    public List<String> getEnterpriseNameNotList(){
        return this.enterpriseNameNotList;
    }

    /**
     * 设置 市场主体名称
     * @param enterpriseNameNotList
     */
    public void setEnterpriseNameNotList(List<String> enterpriseNameNotList){
        this.enterpriseNameNotList = enterpriseNameNotList;
    }

    /**
     * 获取 法定代表人
     * @return legalPersonList
     */
    public List<String> getLegalPersonList(){
        return this.legalPersonList;
    }

    /**
     * 设置 法定代表人
     * @param legalPersonList
     */
    public void setLegalPersonList(List<String> legalPersonList){
        this.legalPersonList = legalPersonList;
    }

    /**
     * 获取 法定代表人
     * @return legalPersonNotList
     */
    public List<String> getLegalPersonNotList(){
        return this.legalPersonNotList;
    }

    /**
     * 设置 法定代表人
     * @param legalPersonNotList
     */
    public void setLegalPersonNotList(List<String> legalPersonNotList){
        this.legalPersonNotList = legalPersonNotList;
    }

    /**
     * 获取 统一社会信用代码
     * @return socialCodeList
     */
    public List<String> getSocialCodeList(){
        return this.socialCodeList;
    }

    /**
     * 设置 统一社会信用代码
     * @param socialCodeList
     */
    public void setSocialCodeList(List<String> socialCodeList){
        this.socialCodeList = socialCodeList;
    }

    /**
     * 获取 统一社会信用代码
     * @return socialCodeNotList
     */
    public List<String> getSocialCodeNotList(){
        return this.socialCodeNotList;
    }

    /**
     * 设置 统一社会信用代码
     * @param socialCodeNotList
     */
    public void setSocialCodeNotList(List<String> socialCodeNotList){
        this.socialCodeNotList = socialCodeNotList;
    }

    /**
     * 获取 二维码
     * @return qRCodeList
     */
    public List<String> getQRCodeList(){
        return this.qRCodeList;
    }

    /**
     * 设置 二维码
     * @param qRCodeList
     */
    public void setQRCodeList(List<String> qRCodeList){
        this.qRCodeList = qRCodeList;
    }

    /**
     * 获取 二维码
     * @return qRCodeNotList
     */
    public List<String> getQRCodeNotList(){
        return this.qRCodeNotList;
    }

    /**
     * 设置 二维码
     * @param qRCodeNotList
     */
    public void setQRCodeNotList(List<String> qRCodeNotList){
        this.qRCodeNotList = qRCodeNotList;
    }

    /**
     * 获取 持有者姓名
     * @return holderNameList
     */
    public List<String> getHolderNameList(){
        return this.holderNameList;
    }

    /**
     * 设置 持有者姓名
     * @param holderNameList
     */
    public void setHolderNameList(List<String> holderNameList){
        this.holderNameList = holderNameList;
    }

    /**
     * 获取 持有者姓名
     * @return holderNameNotList
     */
    public List<String> getHolderNameNotList(){
        return this.holderNameNotList;
    }

    /**
     * 设置 持有者姓名
     * @param holderNameNotList
     */
    public void setHolderNameNotList(List<String> holderNameNotList){
        this.holderNameNotList = holderNameNotList;
    }

    /**
     * 获取 持有者证件号码
     * @return holderIDCardNoList
     */
    public List<String> getHolderIDCardNoList(){
        return this.holderIDCardNoList;
    }

    /**
     * 设置 持有者证件号码
     * @param holderIDCardNoList
     */
    public void setHolderIDCardNoList(List<String> holderIDCardNoList){
        this.holderIDCardNoList = holderIDCardNoList;
    }

    /**
     * 获取 持有者证件号码
     * @return holderIDCardNoNotList
     */
    public List<String> getHolderIDCardNoNotList(){
        return this.holderIDCardNoNotList;
    }

    /**
     * 设置 持有者证件号码
     * @param holderIDCardNoNotList
     */
    public void setHolderIDCardNoNotList(List<String> holderIDCardNoNotList){
        this.holderIDCardNoNotList = holderIDCardNoNotList;
    }

    /**
     * 获取 手机号码
     * @return mobileList
     */
    public List<String> getMobileList(){
        return this.mobileList;
    }

    /**
     * 设置 手机号码
     * @param mobileList
     */
    public void setMobileList(List<String> mobileList){
        this.mobileList = mobileList;
    }

    /**
     * 获取 手机号码
     * @return mobileNotList
     */
    public List<String> getMobileNotList(){
        return this.mobileNotList;
    }

    /**
     * 设置 手机号码
     * @param mobileNotList
     */
    public void setMobileNotList(List<String> mobileNotList){
        this.mobileNotList = mobileNotList;
    }

    /**
     * 获取 开始 证照状态，1正常2注销
     * @return certificateStatusStart
     */
    public Integer getCertificateStatusStart(){
        return this.certificateStatusStart;
    }

    /**
     * 设置 开始 证照状态，1正常2注销
     * @param certificateStatusStart
     */
    public void setCertificateStatusStart(Integer certificateStatusStart){
        this.certificateStatusStart = certificateStatusStart;
    }

    /**
     * 获取 结束 证照状态，1正常2注销
     * @return $certificateStatusEnd
     */
    public Integer getCertificateStatusEnd(){
        return this.certificateStatusEnd;
    }

    /**
     * 设置 结束 证照状态，1正常2注销
     * @param certificateStatusEnd
     */
    public void setCertificateStatusEnd(Integer certificateStatusEnd){
        this.certificateStatusEnd = certificateStatusEnd;
    }

    /**
     * 获取 增加 证照状态，1正常2注销
     * @return certificateStatusIncrement
     */
    public Integer getCertificateStatusIncrement(){
        return this.certificateStatusIncrement;
    }

    /**
     * 设置 增加 证照状态，1正常2注销
     * @param certificateStatusIncrement
     */
    public void setCertificateStatusIncrement(Integer certificateStatusIncrement){
        this.certificateStatusIncrement = certificateStatusIncrement;
    }

    /**
     * 获取 证照状态，1正常2注销
     * @return certificateStatusList
     */
    public List<Integer> getCertificateStatusList(){
        return this.certificateStatusList;
    }

    /**
     * 设置 证照状态，1正常2注销
     * @param certificateStatusList
     */
    public void setCertificateStatusList(List<Integer> certificateStatusList){
        this.certificateStatusList = certificateStatusList;
    }

    /**
     * 获取 证照状态，1正常2注销
     * @return certificateStatusNotList
     */
    public List<Integer> getCertificateStatusNotList(){
        return this.certificateStatusNotList;
    }

    /**
     * 设置 证照状态，1正常2注销
     * @param certificateStatusNotList
     */
    public void setCertificateStatusNotList(List<Integer> certificateStatusNotList){
        this.certificateStatusNotList = certificateStatusNotList;
    }


    /**
     * 获取 证件附件地址
     * @return certificateUrlList
     */
    public List<String> getCertificateUrlList(){
        return this.certificateUrlList;
    }

    /**
     * 设置 证件附件地址
     * @param certificateUrlList
     */
    public void setCertificateUrlList(List<String> certificateUrlList){
        this.certificateUrlList = certificateUrlList;
    }

    /**
     * 获取 证件附件地址
     * @return certificateUrlNotList
     */
    public List<String> getCertificateUrlNotList(){
        return this.certificateUrlNotList;
    }

    /**
     * 设置 证件附件地址
     * @param certificateUrlNotList
     */
    public void setCertificateUrlNotList(List<String> certificateUrlNotList){
        this.certificateUrlNotList = certificateUrlNotList;
    }

    /**
     * 获取 证件预览地址
     * @return previewUrlList
     */
    public List<String> getPreviewUrlList(){
        return this.previewUrlList;
    }

    /**
     * 设置 证件预览地址
     * @param previewUrlList
     */
    public void setPreviewUrlList(List<String> previewUrlList){
        this.previewUrlList = previewUrlList;
    }

    /**
     * 获取 证件预览地址
     * @return previewUrlNotList
     */
    public List<String> getPreviewUrlNotList(){
        return this.previewUrlNotList;
    }

    /**
     * 设置 证件预览地址
     * @param previewUrlNotList
     */
    public void setPreviewUrlNotList(List<String> previewUrlNotList){
        this.previewUrlNotList = previewUrlNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 行业名称
     * @return industryNameList
     */
    public List<String> getIndustryNameList(){
        return this.industryNameList;
    }

    /**
     * 设置 行业名称
     * @param industryNameList
     */
    public void setIndustryNameList(List<String> industryNameList){
        this.industryNameList = industryNameList;
    }

    /**
     * 获取 行业名称
     * @return industryNameNotList
     */
    public List<String> getIndustryNameNotList(){
        return this.industryNameNotList;
    }

    /**
     * 设置 行业名称
     * @param industryNameNotList
     */
    public void setIndustryNameNotList(List<String> industryNameNotList){
        this.industryNameNotList = industryNameNotList;
    }

    /**
     * 获取 经营场所
     * @return businessPlaceList
     */
    public List<String> getBusinessPlaceList(){
        return this.businessPlaceList;
    }

    /**
     * 设置 经营场所
     * @param businessPlaceList
     */
    public void setBusinessPlaceList(List<String> businessPlaceList){
        this.businessPlaceList = businessPlaceList;
    }

    /**
     * 获取 经营场所
     * @return businessPlaceNotList
     */
    public List<String> getBusinessPlaceNotList(){
        return this.businessPlaceNotList;
    }

    /**
     * 设置 经营场所
     * @param businessPlaceNotList
     */
    public void setBusinessPlaceNotList(List<String> businessPlaceNotList){
        this.businessPlaceNotList = businessPlaceNotList;
    }

    /**
     * 获取 许可项目
     * @return licenseProjectList
     */
    public List<String> getLicenseProjectList(){
        return this.licenseProjectList;
    }

    /**
     * 设置 许可项目
     * @param licenseProjectList
     */
    public void setLicenseProjectList(List<String> licenseProjectList){
        this.licenseProjectList = licenseProjectList;
    }

    /**
     * 获取 许可项目
     * @return licenseProjectNotList
     */
    public List<String> getLicenseProjectNotList(){
        return this.licenseProjectNotList;
    }

    /**
     * 设置 许可项目
     * @param licenseProjectNotList
     */
    public void setLicenseProjectNotList(List<String> licenseProjectNotList){
        this.licenseProjectNotList = licenseProjectNotList;
    }

    /**
     * 获取 制证机关
     * @return authorityList
     */
    public List<String> getAuthorityList(){
        return this.authorityList;
    }

    /**
     * 设置 制证机关
     * @param authorityList
     */
    public void setAuthorityList(List<String> authorityList){
        this.authorityList = authorityList;
    }

    /**
     * 获取 制证机关
     * @return authorityNotList
     */
    public List<String> getAuthorityNotList(){
        return this.authorityNotList;
    }

    /**
     * 设置 制证机关
     * @param authorityNotList
     */
    public void setAuthorityNotList(List<String> authorityNotList){
        this.authorityNotList = authorityNotList;
    }

    /**
     * 获取 开始 颁发时间
     * @return issueTimeStart
     */
    public String getIssueTimeStart(){
        return this.issueTimeStart;
    }

    /**
     * 设置 开始 颁发时间
     * @param issueTimeStart
     */
    public void setIssueTimeStart(String issueTimeStart){
        this.issueTimeStart = issueTimeStart;
    }

    /**
     * 获取 结束 颁发时间
     * @return issueTimeEnd
     */
    public String getIssueTimeEnd(){
        return this.issueTimeEnd;
    }

    /**
     * 设置 结束 颁发时间
     * @param issueTimeEnd
     */
    public void setIssueTimeEnd(String issueTimeEnd){
        this.issueTimeEnd = issueTimeEnd;
    }

    /**
     * 获取 附件名称
     * @return annexNameList
     */
    public List<String> getAnnexNameList(){
        return this.annexNameList;
    }

    /**
     * 设置 附件名称
     * @param annexNameList
     */
    public void setAnnexNameList(List<String> annexNameList){
        this.annexNameList = annexNameList;
    }

    /**
     * 获取 附件名称
     * @return annexNameNotList
     */
    public List<String> getAnnexNameNotList(){
        return this.annexNameNotList;
    }

    /**
     * 设置 附件名称
     * @param annexNameNotList
     */
    public void setAnnexNameNotList(List<String> annexNameNotList){
        this.annexNameNotList = annexNameNotList;
    }

    /**
     * 获取 附件地址
     * @return annexUrlList
     */
    public List<String> getAnnexUrlList(){
        return this.annexUrlList;
    }

    /**
     * 设置 附件地址
     * @param annexUrlList
     */
    public void setAnnexUrlList(List<String> annexUrlList){
        this.annexUrlList = annexUrlList;
    }

    /**
     * 获取 附件地址
     * @return annexUrlNotList
     */
    public List<String> getAnnexUrlNotList(){
        return this.annexUrlNotList;
    }

    /**
     * 设置 附件地址
     * @param annexUrlNotList
     */
    public void setAnnexUrlNotList(List<String> annexUrlNotList){
        this.annexUrlNotList = annexUrlNotList;
    }

    /**
     * 获取 开始 有效期起始
     * @return validityStartStart
     */
    public String getValidityStartStart(){
        return this.validityStartStart;
    }

    /**
     * 设置 开始 有效期起始
     * @param validityStartStart
     */
    public void setValidityStartStart(String validityStartStart){
        this.validityStartStart = validityStartStart;
    }

    /**
     * 获取 结束 有效期起始
     * @return validityStartEnd
     */
    public String getValidityStartEnd(){
        return this.validityStartEnd;
    }

    /**
     * 设置 结束 有效期起始
     * @param validityStartEnd
     */
    public void setValidityStartEnd(String validityStartEnd){
        this.validityStartEnd = validityStartEnd;
    }

    /**
     * 获取 开始 有效期截止
     * @return validityEndStart
     */
    public String getValidityEndStart(){
        return this.validityEndStart;
    }

    /**
     * 设置 开始 有效期截止
     * @param validityEndStart
     */
    public void setValidityEndStart(String validityEndStart){
        this.validityEndStart = validityEndStart;
    }

    /**
     * 获取 结束 有效期截止
     * @return validityEndEnd
     */
    public String getValidityEndEnd(){
        return this.validityEndEnd;
    }

    /**
     * 设置 结束 有效期截止
     * @param validityEndEnd
     */
    public void setValidityEndEnd(String validityEndEnd){
        this.validityEndEnd = validityEndEnd;
    }

    /**
     * 获取 开始 持有者类型，1：自然人，2：法人，3：自然人法人
     * @return holderTypeStart
     */
    public Integer getHolderTypeStart(){
        return this.holderTypeStart;
    }

    /**
     * 设置 开始 持有者类型，1：自然人，2：法人，3：自然人法人
     * @param holderTypeStart
     */
    public void setHolderTypeStart(Integer holderTypeStart){
        this.holderTypeStart = holderTypeStart;
    }

    /**
     * 获取 结束 持有者类型，1：自然人，2：法人，3：自然人法人
     * @return $holderTypeEnd
     */
    public Integer getHolderTypeEnd(){
        return this.holderTypeEnd;
    }

    /**
     * 设置 结束 持有者类型，1：自然人，2：法人，3：自然人法人
     * @param holderTypeEnd
     */
    public void setHolderTypeEnd(Integer holderTypeEnd){
        this.holderTypeEnd = holderTypeEnd;
    }

    /**
     * 获取 增加 持有者类型，1：自然人，2：法人，3：自然人法人
     * @return holderTypeIncrement
     */
    public Integer getHolderTypeIncrement(){
        return this.holderTypeIncrement;
    }

    /**
     * 设置 增加 持有者类型，1：自然人，2：法人，3：自然人法人
     * @param holderTypeIncrement
     */
    public void setHolderTypeIncrement(Integer holderTypeIncrement){
        this.holderTypeIncrement = holderTypeIncrement;
    }

    /**
     * 获取 持有者类型，1：自然人，2：法人，3：自然人法人
     * @return holderTypeList
     */
    public List<Integer> getHolderTypeList(){
        return this.holderTypeList;
    }

    /**
     * 设置 持有者类型，1：自然人，2：法人，3：自然人法人
     * @param holderTypeList
     */
    public void setHolderTypeList(List<Integer> holderTypeList){
        this.holderTypeList = holderTypeList;
    }

    /**
     * 获取 持有者类型，1：自然人，2：法人，3：自然人法人
     * @return holderTypeNotList
     */
    public List<Integer> getHolderTypeNotList(){
        return this.holderTypeNotList;
    }

    /**
     * 设置 持有者类型，1：自然人，2：法人，3：自然人法人
     * @param holderTypeNotList
     */
    public void setHolderTypeNotList(List<Integer> holderTypeNotList){
        this.holderTypeNotList = holderTypeNotList;
    }


    /**
     * 获取 开始 持有者证件类型，1：身份证，2：组织机构代码等
     * @return holderIdTypeStart
     */
    public Integer getHolderIdTypeStart(){
        return this.holderIdTypeStart;
    }

    /**
     * 设置 开始 持有者证件类型，1：身份证，2：组织机构代码等
     * @param holderIdTypeStart
     */
    public void setHolderIdTypeStart(Integer holderIdTypeStart){
        this.holderIdTypeStart = holderIdTypeStart;
    }

    /**
     * 获取 结束 持有者证件类型，1：身份证，2：组织机构代码等
     * @return $holderIdTypeEnd
     */
    public Integer getHolderIdTypeEnd(){
        return this.holderIdTypeEnd;
    }

    /**
     * 设置 结束 持有者证件类型，1：身份证，2：组织机构代码等
     * @param holderIdTypeEnd
     */
    public void setHolderIdTypeEnd(Integer holderIdTypeEnd){
        this.holderIdTypeEnd = holderIdTypeEnd;
    }

    /**
     * 获取 增加 持有者证件类型，1：身份证，2：组织机构代码等
     * @return holderIdTypeIncrement
     */
    public Integer getHolderIdTypeIncrement(){
        return this.holderIdTypeIncrement;
    }

    /**
     * 设置 增加 持有者证件类型，1：身份证，2：组织机构代码等
     * @param holderIdTypeIncrement
     */
    public void setHolderIdTypeIncrement(Integer holderIdTypeIncrement){
        this.holderIdTypeIncrement = holderIdTypeIncrement;
    }

    /**
     * 获取 持有者证件类型，1：身份证，2：组织机构代码等
     * @return holderIdTypeList
     */
    public List<Integer> getHolderIdTypeList(){
        return this.holderIdTypeList;
    }

    /**
     * 设置 持有者证件类型，1：身份证，2：组织机构代码等
     * @param holderIdTypeList
     */
    public void setHolderIdTypeList(List<Integer> holderIdTypeList){
        this.holderIdTypeList = holderIdTypeList;
    }

    /**
     * 获取 持有者证件类型，1：身份证，2：组织机构代码等
     * @return holderIdTypeNotList
     */
    public List<Integer> getHolderIdTypeNotList(){
        return this.holderIdTypeNotList;
    }

    /**
     * 设置 持有者证件类型，1：身份证，2：组织机构代码等
     * @param holderIdTypeNotList
     */
    public void setHolderIdTypeNotList(List<Integer> holderIdTypeNotList){
        this.holderIdTypeNotList = holderIdTypeNotList;
    }


    /**
     * 获取 专网ID
     * @return privateIDList
     */
    public List<String> getPrivateIDList(){
        return this.privateIDList;
    }

    /**
     * 设置 专网ID
     * @param privateIDList
     */
    public void setPrivateIDList(List<String> privateIDList){
        this.privateIDList = privateIDList;
    }

    /**
     * 获取 专网ID
     * @return privateIDNotList
     */
    public List<String> getPrivateIDNotList(){
        return this.privateIDNotList;
    }

    /**
     * 设置 专网ID
     * @param privateIDNotList
     */
    public void setPrivateIDNotList(List<String> privateIDNotList){
        this.privateIDNotList = privateIDNotList;
    }

    /**
     * 获取 开始 申请ID
     * @return applyIdStart
     */
    public Long getApplyIdStart(){
        return this.applyIdStart;
    }

    /**
     * 设置 开始 申请ID
     * @param applyIdStart
     */
    public void setApplyIdStart(Long applyIdStart){
        this.applyIdStart = applyIdStart;
    }

    /**
     * 获取 结束 申请ID
     * @return $applyIdEnd
     */
    public Long getApplyIdEnd(){
        return this.applyIdEnd;
    }

    /**
     * 设置 结束 申请ID
     * @param applyIdEnd
     */
    public void setApplyIdEnd(Long applyIdEnd){
        this.applyIdEnd = applyIdEnd;
    }

    /**
     * 获取 增加 申请ID
     * @return applyIdIncrement
     */
    public Long getApplyIdIncrement(){
        return this.applyIdIncrement;
    }

    /**
     * 设置 增加 申请ID
     * @param applyIdIncrement
     */
    public void setApplyIdIncrement(Long applyIdIncrement){
        this.applyIdIncrement = applyIdIncrement;
    }

    /**
     * 获取 申请ID
     * @return applyIdList
     */
    public List<Long> getApplyIdList(){
        return this.applyIdList;
    }

    /**
     * 设置 申请ID
     * @param applyIdList
     */
    public void setApplyIdList(List<Long> applyIdList){
        this.applyIdList = applyIdList;
    }

    /**
     * 获取 申请ID
     * @return applyIdNotList
     */
    public List<Long> getApplyIdNotList(){
        return this.applyIdNotList;
    }

    /**
     * 设置 申请ID
     * @param applyIdNotList
     */
    public void setApplyIdNotList(List<Long> applyIdNotList){
        this.applyIdNotList = applyIdNotList;
    }


    /**
     * 获取 开始 打印次数
     * @return totalStart
     */
    public Integer getTotalStart(){
        return this.totalStart;
    }

    /**
     * 设置 开始 打印次数
     * @param totalStart
     */
    public void setTotalStart(Integer totalStart){
        this.totalStart = totalStart;
    }

    /**
     * 获取 结束 打印次数
     * @return $totalEnd
     */
    public Integer getTotalEnd(){
        return this.totalEnd;
    }

    /**
     * 设置 结束 打印次数
     * @param totalEnd
     */
    public void setTotalEnd(Integer totalEnd){
        this.totalEnd = totalEnd;
    }

    /**
     * 获取 增加 打印次数
     * @return totalIncrement
     */
    public Integer getTotalIncrement(){
        return this.totalIncrement;
    }

    /**
     * 设置 增加 打印次数
     * @param totalIncrement
     */
    public void setTotalIncrement(Integer totalIncrement){
        this.totalIncrement = totalIncrement;
    }

    /**
     * 获取 打印次数
     * @return totalList
     */
    public List<Integer> getTotalList(){
        return this.totalList;
    }

    /**
     * 设置 打印次数
     * @param totalList
     */
    public void setTotalList(List<Integer> totalList){
        this.totalList = totalList;
    }

    /**
     * 获取 打印次数
     * @return totalNotList
     */
    public List<Integer> getTotalNotList(){
        return this.totalNotList;
    }

    /**
     * 设置 打印次数
     * @param totalNotList
     */
    public void setTotalNotList(List<Integer> totalNotList){
        this.totalNotList = totalNotList;
    }


    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public RetainLogQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public RetainLogQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public RetainLogQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public RetainLogQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public RetainLogQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public RetainLogQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  站点id
     * @param siteId
     */
    public RetainLogQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public RetainLogQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public RetainLogQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public RetainLogQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public RetainLogQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public RetainLogQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }

    /**
     * 设置  证照档案ID
     * @param recordId
     */
    public RetainLogQuery recordId(Long recordId){
        setRecordId(recordId);
        return this;
    }

    /**
     * 设置 开始 证照档案ID
     * @param recordIdStart
     */
    public RetainLogQuery recordIdStart(Long recordIdStart){
        this.recordIdStart = recordIdStart;
        return this;
    }

    /**
     * 设置 结束 证照档案ID
     * @param recordIdEnd
     */
    public RetainLogQuery recordIdEnd(Long recordIdEnd){
        this.recordIdEnd = recordIdEnd;
        return this;
    }

    /**
     * 设置 增加 证照档案ID
     * @param recordIdIncrement
     */
    public RetainLogQuery recordIdIncrement(Long recordIdIncrement){
        this.recordIdIncrement = recordIdIncrement;
        return this;
    }

    /**
     * 设置 证照档案ID
     * @param recordIdList
     */
    public RetainLogQuery recordIdList(List<Long> recordIdList){
        this.recordIdList = recordIdList;
        return this;
    }

    /**
     * 设置 证照档案ID
     * @param recordIdNotList
     */
    public RetainLogQuery recordIdNotList(List<Long> recordIdNotList){
        this.recordIdNotList = recordIdNotList;
        return this;
    }

    /**
     * 设置  证照目录ID
     * @param catalogId
     */
    public RetainLogQuery catalogId(Long catalogId){
        setCatalogId(catalogId);
        return this;
    }

    /**
     * 设置 开始 证照目录ID
     * @param catalogIdStart
     */
    public RetainLogQuery catalogIdStart(Long catalogIdStart){
        this.catalogIdStart = catalogIdStart;
        return this;
    }

    /**
     * 设置 结束 证照目录ID
     * @param catalogIdEnd
     */
    public RetainLogQuery catalogIdEnd(Long catalogIdEnd){
        this.catalogIdEnd = catalogIdEnd;
        return this;
    }

    /**
     * 设置 增加 证照目录ID
     * @param catalogIdIncrement
     */
    public RetainLogQuery catalogIdIncrement(Long catalogIdIncrement){
        this.catalogIdIncrement = catalogIdIncrement;
        return this;
    }

    /**
     * 设置 证照目录ID
     * @param catalogIdList
     */
    public RetainLogQuery catalogIdList(List<Long> catalogIdList){
        this.catalogIdList = catalogIdList;
        return this;
    }

    /**
     * 设置 证照目录ID
     * @param catalogIdNotList
     */
    public RetainLogQuery catalogIdNotList(List<Long> catalogIdNotList){
        this.catalogIdNotList = catalogIdNotList;
        return this;
    }


    /**
     * 设置 证照目录编号
     * @param catalogCode
     */
    public RetainLogQuery catalogCode(String catalogCode){
        setCatalogCode(catalogCode);
        return this;
    }

    /**
     * 设置 证照目录编号
     * @param catalogCodeList
     */
    public RetainLogQuery catalogCodeList(List<String> catalogCodeList){
        this.catalogCodeList = catalogCodeList;
        return this;
    }


    /**
     * 设置 目录名称
     * @param catalogName
     */
    public RetainLogQuery catalogName(String catalogName){
        setCatalogName(catalogName);
        return this;
    }

    /**
     * 设置 目录名称
     * @param catalogNameList
     */
    public RetainLogQuery catalogNameList(List<String> catalogNameList){
        this.catalogNameList = catalogNameList;
        return this;
    }


    /**
     * 设置 证照名称
     * @param certificateName
     */
    public RetainLogQuery certificateName(String certificateName){
        setCertificateName(certificateName);
        return this;
    }

    /**
     * 设置 证照名称
     * @param certificateNameList
     */
    public RetainLogQuery certificateNameList(List<String> certificateNameList){
        this.certificateNameList = certificateNameList;
        return this;
    }


    /**
     * 设置 证照编号
     * @param certificateCode
     */
    public RetainLogQuery certificateCode(String certificateCode){
        setCertificateCode(certificateCode);
        return this;
    }

    /**
     * 设置 证照编号
     * @param certificateCodeList
     */
    public RetainLogQuery certificateCodeList(List<String> certificateCodeList){
        this.certificateCodeList = certificateCodeList;
        return this;
    }


    /**
     * 设置 市场主体名称
     * @param enterpriseName
     */
    public RetainLogQuery enterpriseName(String enterpriseName){
        setEnterpriseName(enterpriseName);
        return this;
    }

    /**
     * 设置 市场主体名称
     * @param enterpriseNameList
     */
    public RetainLogQuery enterpriseNameList(List<String> enterpriseNameList){
        this.enterpriseNameList = enterpriseNameList;
        return this;
    }


    /**
     * 设置 法定代表人
     * @param legalPerson
     */
    public RetainLogQuery legalPerson(String legalPerson){
        setLegalPerson(legalPerson);
        return this;
    }

    /**
     * 设置 法定代表人
     * @param legalPersonList
     */
    public RetainLogQuery legalPersonList(List<String> legalPersonList){
        this.legalPersonList = legalPersonList;
        return this;
    }


    /**
     * 设置 统一社会信用代码
     * @param socialCode
     */
    public RetainLogQuery socialCode(String socialCode){
        setSocialCode(socialCode);
        return this;
    }

    /**
     * 设置 统一社会信用代码
     * @param socialCodeList
     */
    public RetainLogQuery socialCodeList(List<String> socialCodeList){
        this.socialCodeList = socialCodeList;
        return this;
    }


    /**
     * 设置 二维码
     * @param qRCode
     */
    public RetainLogQuery qRCode(String qRCode){
        setQRCode(qRCode);
        return this;
    }

    /**
     * 设置 二维码
     * @param qRCodeList
     */
    public RetainLogQuery qRCodeList(List<String> qRCodeList){
        this.qRCodeList = qRCodeList;
        return this;
    }


    /**
     * 设置 持有者姓名
     * @param holderName
     */
    public RetainLogQuery holderName(String holderName){
        setHolderName(holderName);
        return this;
    }

    /**
     * 设置 持有者姓名
     * @param holderNameList
     */
    public RetainLogQuery holderNameList(List<String> holderNameList){
        this.holderNameList = holderNameList;
        return this;
    }


    /**
     * 设置 持有者证件号码
     * @param holderIDCardNo
     */
    public RetainLogQuery holderIDCardNo(String holderIDCardNo){
        setHolderIDCardNo(holderIDCardNo);
        return this;
    }

    /**
     * 设置 持有者证件号码
     * @param holderIDCardNoList
     */
    public RetainLogQuery holderIDCardNoList(List<String> holderIDCardNoList){
        this.holderIDCardNoList = holderIDCardNoList;
        return this;
    }


    /**
     * 设置 手机号码
     * @param mobile
     */
    public RetainLogQuery mobile(String mobile){
        setMobile(mobile);
        return this;
    }

    /**
     * 设置 手机号码
     * @param mobileList
     */
    public RetainLogQuery mobileList(List<String> mobileList){
        this.mobileList = mobileList;
        return this;
    }

    /**
     * 设置  证照状态，1正常2注销
     * @param certificateStatus
     */
    public RetainLogQuery certificateStatus(Integer certificateStatus){
        setCertificateStatus(certificateStatus);
        return this;
    }

    /**
     * 设置 开始 证照状态，1正常2注销
     * @param certificateStatusStart
     */
    public RetainLogQuery certificateStatusStart(Integer certificateStatusStart){
        this.certificateStatusStart = certificateStatusStart;
        return this;
    }

    /**
     * 设置 结束 证照状态，1正常2注销
     * @param certificateStatusEnd
     */
    public RetainLogQuery certificateStatusEnd(Integer certificateStatusEnd){
        this.certificateStatusEnd = certificateStatusEnd;
        return this;
    }

    /**
     * 设置 增加 证照状态，1正常2注销
     * @param certificateStatusIncrement
     */
    public RetainLogQuery certificateStatusIncrement(Integer certificateStatusIncrement){
        this.certificateStatusIncrement = certificateStatusIncrement;
        return this;
    }

    /**
     * 设置 证照状态，1正常2注销
     * @param certificateStatusList
     */
    public RetainLogQuery certificateStatusList(List<Integer> certificateStatusList){
        this.certificateStatusList = certificateStatusList;
        return this;
    }

    /**
     * 设置 证照状态，1正常2注销
     * @param certificateStatusNotList
     */
    public RetainLogQuery certificateStatusNotList(List<Integer> certificateStatusNotList){
        this.certificateStatusNotList = certificateStatusNotList;
        return this;
    }


    /**
     * 设置 证件附件地址
     * @param certificateUrl
     */
    public RetainLogQuery certificateUrl(String certificateUrl){
        setCertificateUrl(certificateUrl);
        return this;
    }

    /**
     * 设置 证件附件地址
     * @param certificateUrlList
     */
    public RetainLogQuery certificateUrlList(List<String> certificateUrlList){
        this.certificateUrlList = certificateUrlList;
        return this;
    }


    /**
     * 设置 证件预览地址
     * @param previewUrl
     */
    public RetainLogQuery previewUrl(String previewUrl){
        setPreviewUrl(previewUrl);
        return this;
    }

    /**
     * 设置 证件预览地址
     * @param previewUrlList
     */
    public RetainLogQuery previewUrlList(List<String> previewUrlList){
        this.previewUrlList = previewUrlList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public RetainLogQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public RetainLogQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public RetainLogQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public RetainLogQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public RetainLogQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public RetainLogQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public RetainLogQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public RetainLogQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public RetainLogQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public RetainLogQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public RetainLogQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public RetainLogQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }



    /**
     * 设置 行业名称
     * @param industryName
     */
    public RetainLogQuery industryName(String industryName){
        setIndustryName(industryName);
        return this;
    }

    /**
     * 设置 行业名称
     * @param industryNameList
     */
    public RetainLogQuery industryNameList(List<String> industryNameList){
        this.industryNameList = industryNameList;
        return this;
    }


    /**
     * 设置 经营场所
     * @param businessPlace
     */
    public RetainLogQuery businessPlace(String businessPlace){
        setBusinessPlace(businessPlace);
        return this;
    }

    /**
     * 设置 经营场所
     * @param businessPlaceList
     */
    public RetainLogQuery businessPlaceList(List<String> businessPlaceList){
        this.businessPlaceList = businessPlaceList;
        return this;
    }


    /**
     * 设置 许可项目
     * @param licenseProject
     */
    public RetainLogQuery licenseProject(String licenseProject){
        setLicenseProject(licenseProject);
        return this;
    }

    /**
     * 设置 许可项目
     * @param licenseProjectList
     */
    public RetainLogQuery licenseProjectList(List<String> licenseProjectList){
        this.licenseProjectList = licenseProjectList;
        return this;
    }


    /**
     * 设置 制证机关
     * @param authority
     */
    public RetainLogQuery authority(String authority){
        setAuthority(authority);
        return this;
    }

    /**
     * 设置 制证机关
     * @param authorityList
     */
    public RetainLogQuery authorityList(List<String> authorityList){
        this.authorityList = authorityList;
        return this;
    }



    /**
     * 设置 附件名称
     * @param annexName
     */
    public RetainLogQuery annexName(String annexName){
        setAnnexName(annexName);
        return this;
    }

    /**
     * 设置 附件名称
     * @param annexNameList
     */
    public RetainLogQuery annexNameList(List<String> annexNameList){
        this.annexNameList = annexNameList;
        return this;
    }


    /**
     * 设置 附件地址
     * @param annexUrl
     */
    public RetainLogQuery annexUrl(String annexUrl){
        setAnnexUrl(annexUrl);
        return this;
    }

    /**
     * 设置 附件地址
     * @param annexUrlList
     */
    public RetainLogQuery annexUrlList(List<String> annexUrlList){
        this.annexUrlList = annexUrlList;
        return this;
    }



    /**
     * 设置  持有者类型，1：自然人，2：法人，3：自然人法人
     * @param holderType
     */
    public RetainLogQuery holderType(Integer holderType){
        setHolderType(holderType);
        return this;
    }

    /**
     * 设置 开始 持有者类型，1：自然人，2：法人，3：自然人法人
     * @param holderTypeStart
     */
    public RetainLogQuery holderTypeStart(Integer holderTypeStart){
        this.holderTypeStart = holderTypeStart;
        return this;
    }

    /**
     * 设置 结束 持有者类型，1：自然人，2：法人，3：自然人法人
     * @param holderTypeEnd
     */
    public RetainLogQuery holderTypeEnd(Integer holderTypeEnd){
        this.holderTypeEnd = holderTypeEnd;
        return this;
    }

    /**
     * 设置 增加 持有者类型，1：自然人，2：法人，3：自然人法人
     * @param holderTypeIncrement
     */
    public RetainLogQuery holderTypeIncrement(Integer holderTypeIncrement){
        this.holderTypeIncrement = holderTypeIncrement;
        return this;
    }

    /**
     * 设置 持有者类型，1：自然人，2：法人，3：自然人法人
     * @param holderTypeList
     */
    public RetainLogQuery holderTypeList(List<Integer> holderTypeList){
        this.holderTypeList = holderTypeList;
        return this;
    }

    /**
     * 设置 持有者类型，1：自然人，2：法人，3：自然人法人
     * @param holderTypeNotList
     */
    public RetainLogQuery holderTypeNotList(List<Integer> holderTypeNotList){
        this.holderTypeNotList = holderTypeNotList;
        return this;
    }

    /**
     * 设置  持有者证件类型，1：身份证，2：组织机构代码等
     * @param holderIdType
     */
    public RetainLogQuery holderIdType(Integer holderIdType){
        setHolderIdType(holderIdType);
        return this;
    }

    /**
     * 设置 开始 持有者证件类型，1：身份证，2：组织机构代码等
     * @param holderIdTypeStart
     */
    public RetainLogQuery holderIdTypeStart(Integer holderIdTypeStart){
        this.holderIdTypeStart = holderIdTypeStart;
        return this;
    }

    /**
     * 设置 结束 持有者证件类型，1：身份证，2：组织机构代码等
     * @param holderIdTypeEnd
     */
    public RetainLogQuery holderIdTypeEnd(Integer holderIdTypeEnd){
        this.holderIdTypeEnd = holderIdTypeEnd;
        return this;
    }

    /**
     * 设置 增加 持有者证件类型，1：身份证，2：组织机构代码等
     * @param holderIdTypeIncrement
     */
    public RetainLogQuery holderIdTypeIncrement(Integer holderIdTypeIncrement){
        this.holderIdTypeIncrement = holderIdTypeIncrement;
        return this;
    }

    /**
     * 设置 持有者证件类型，1：身份证，2：组织机构代码等
     * @param holderIdTypeList
     */
    public RetainLogQuery holderIdTypeList(List<Integer> holderIdTypeList){
        this.holderIdTypeList = holderIdTypeList;
        return this;
    }

    /**
     * 设置 持有者证件类型，1：身份证，2：组织机构代码等
     * @param holderIdTypeNotList
     */
    public RetainLogQuery holderIdTypeNotList(List<Integer> holderIdTypeNotList){
        this.holderIdTypeNotList = holderIdTypeNotList;
        return this;
    }


    /**
     * 设置 专网ID
     * @param privateID
     */
    public RetainLogQuery privateID(String privateID){
        setPrivateID(privateID);
        return this;
    }

    /**
     * 设置 专网ID
     * @param privateIDList
     */
    public RetainLogQuery privateIDList(List<String> privateIDList){
        this.privateIDList = privateIDList;
        return this;
    }

    /**
     * 设置  申请ID
     * @param applyId
     */
    public RetainLogQuery applyId(Long applyId){
        setApplyId(applyId);
        return this;
    }

    /**
     * 设置 开始 申请ID
     * @param applyIdStart
     */
    public RetainLogQuery applyIdStart(Long applyIdStart){
        this.applyIdStart = applyIdStart;
        return this;
    }

    /**
     * 设置 结束 申请ID
     * @param applyIdEnd
     */
    public RetainLogQuery applyIdEnd(Long applyIdEnd){
        this.applyIdEnd = applyIdEnd;
        return this;
    }

    /**
     * 设置 增加 申请ID
     * @param applyIdIncrement
     */
    public RetainLogQuery applyIdIncrement(Long applyIdIncrement){
        this.applyIdIncrement = applyIdIncrement;
        return this;
    }

    /**
     * 设置 申请ID
     * @param applyIdList
     */
    public RetainLogQuery applyIdList(List<Long> applyIdList){
        this.applyIdList = applyIdList;
        return this;
    }

    /**
     * 设置 申请ID
     * @param applyIdNotList
     */
    public RetainLogQuery applyIdNotList(List<Long> applyIdNotList){
        this.applyIdNotList = applyIdNotList;
        return this;
    }

    /**
     * 设置  打印次数
     * @param total
     */
    public RetainLogQuery total(Integer total){
        setTotal(total);
        return this;
    }

    /**
     * 设置 开始 打印次数
     * @param totalStart
     */
    public RetainLogQuery totalStart(Integer totalStart){
        this.totalStart = totalStart;
        return this;
    }

    /**
     * 设置 结束 打印次数
     * @param totalEnd
     */
    public RetainLogQuery totalEnd(Integer totalEnd){
        this.totalEnd = totalEnd;
        return this;
    }

    /**
     * 设置 增加 打印次数
     * @param totalIncrement
     */
    public RetainLogQuery totalIncrement(Integer totalIncrement){
        this.totalIncrement = totalIncrement;
        return this;
    }

    /**
     * 设置 打印次数
     * @param totalList
     */
    public RetainLogQuery totalList(List<Integer> totalList){
        this.totalList = totalList;
        return this;
    }

    /**
     * 设置 打印次数
     * @param totalNotList
     */
    public RetainLogQuery totalNotList(List<Integer> totalNotList){
        this.totalNotList = totalNotList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<RetainLogQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<RetainLogQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<RetainLogQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<RetainLogQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}